import SwiftUI

struct SearchBar: View {
    @Binding var text: String
    var placeholder: String = "Search..."

    var body: some View {
        HStack(spacing: 15) {
            Image(systemName: "magnifyingglass")
                .font(.title3)
                .foregroundColor(.gray)

            TextField(placeholder, text: $text)
                .font(.title3)
                .foregroundColor(.white)
        }
        .padding(.horizontal, 20)
        .padding(.vertical, 15)
        .background(Color.white.opacity(0.1))
        .cornerRadius(10)
    }
}
